import config from "./config";
import store from "./store";

export default function() {
  if (config.router) {
    config.router.beforeEach((to, from, next) => {
      // eslint-disable-next-line no-debugger
      if (!store.getters.initailized) {
        store.dispatch("init").then(() => {
          next();
        });
      } else {
        next();
      }
    });
  }
}
