/* eslint-disable no-debugger */
import axios from "axios";
import config from "./config";

let request;
function init() {
  request = axios.create({
    baseURL: config.baseURL,
  });
  request.interceptors.response.use((response) => {
    const data = response.data;
    return new Promise((resolve) => {
      resolve(data);
    });
  });
}
function create() {
  if (!request) {
    init();
  }
  return request;
}
export default { create };
